> For the complete documentation index, see [llms.txt](https://docs.stork.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stork.network/api-reference/websocket-api.md).

# Websocket API

Stork [Aggregators](/introduction/how-it-works.md#aggregators) expose websocket endpoints for both [Publishers](/introduction/how-it-works.md#publishers) and [Subscribers](/introduction/how-it-works.md#subscribers). Publishers use this to continuously push their signed data to the Aggregators, while Subscribers can use this to listen to the ultra low-latency stream of signed aggregated data from Stork.\
\
These docs use wscat, a common CLI tool for interacting with websockets, for examples. This is just for legibility and the websockets can be interacted with using any tool or library that supports the standard websocket spec.\\

{% content-ref url="/pages/wCvhEEeDvx2YVztKDyd8" %}
[Publisher](/api-reference/websocket-api/publisher.md)
{% endcontent-ref %}

{% content-ref url="/pages/Uw2hyXbChhBXfbNQqLwG" %}
[Subscriber](/api-reference/websocket-api/subscriber.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stork.network/api-reference/websocket-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
